For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
            • GETGet Product Variants Info
            • GETGet Variant Information
            • POSTGet Detailed Variant Information
          • Company
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCatalog

Get Product Variants Info

GET
https://api-b2b.bigcommerce.com/api/v2/catalogs/variants
GET
/api/v2/catalogs/variants
$curl -G https://api-b2b.bigcommerce.com/api/v2/catalogs/variants \
> -H "Authorization: Bearer <token>" \
> -d productId=123
200Retrieved
1{
2 "code": 200,
3 "message": "Success",
4 "data": [
5 {
6 "sku": "HB-2-RE-SM",
7 "variantId": 118
8 }
9 ]
10}
Returns a list of variants associated with the product identified by the `productId` parameter. Analogous to the [Get all product variants](/developer/api-reference/rest/admin/catalog/product-variants/get-product-variants) endpoint in the default BigCommerce API. Equivalent Storefront GraphQL API Query: `productVariantsInfo`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Catalog

Next

Get Variant Information

Built with

Returns a list of variants associated with the product identified by the productId parameter.

Analogous to the Get all product variants endpoint in the default BigCommerce API.

Equivalent Storefront GraphQL API Query: productVariantsInfo. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

productIdstringRequired
The unique product ID as assigned by BigCommerce.

Response

SUCCESS
codeintegerDefaults to 200
HTTP status code indicating the result of the API operation.
messagestringDefaults to Success
Message describing the outcome of the request.
datalist of objects
List of variant identifiers and their corresponding SKUs.